package ru.yandex.webmaster3.storage.util.yt;

import java.io.Closeable;
import java.io.IOException;

/**
 * @author aherman
 */
public interface InterruptableIterator<T> extends Closeable {
    public boolean hasNext() throws InterruptedException, IOException, YtException;
    public T next() throws InterruptedException, IOException, YtException;
    public long getRow();
}
